# coding: utf-8

"""
    Magneto API

    Magneto API is the RESTful API for the Rely.io platform.

    The version of the OpenAPI document: v0.0.1
    Contact: contact@rely.io
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from magneto_api_client.models.plugin_legacy_create import PluginLegacyCreate

class TestPluginLegacyCreate(unittest.TestCase):
    """PluginLegacyCreate unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional) -> PluginLegacyCreate:
        """Test PluginLegacyCreate
            include_optional is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # uncomment below to create an instance of `PluginLegacyCreate`
        """
        model = PluginLegacyCreate()
        if include_optional:
            return PluginLegacyCreate(
                name = '',
                source_key = '',
                status = 56,
                customer_managed = True,
                assets_for_discovery = [
                    ''
                    ],
                data_source = 56,
                credentials = magneto_api_client.models.credentials.Credentials(),
                properties = magneto_api_client.models.properties.Properties()
            )
        else:
            return PluginLegacyCreate(
                name = '',
                data_source = 56,
        )
        """

    def testPluginLegacyCreate(self):
        """Test PluginLegacyCreate"""
        # inst_req_only = self.make_instance(include_optional=False)
        # inst_req_and_optional = self.make_instance(include_optional=True)

if __name__ == '__main__':
    unittest.main()
